summaryrefslogtreecommitdiff
path: root/desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh
diff options
context:
space:
mode:
authorMate <[email protected]>2021-06-07 15:29:16 +0200
committerraveit65 <[email protected]>2021-08-02 23:56:01 +0200
commit79875be62773375d984937452f9feab16f126e3c (patch)
tree1a7237e3b9ab1efd583667d8d14edcbe0e6b62d2 /desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh
parent14bd53a30f343c0e70da08f85dd9d5a26d3bc099 (diff)
downloadmate-themes-79875be62773375d984937452f9feab16f126e3c.tar.bz2
mate-themes-79875be62773375d984937452f9feab16f126e3c.tar.xz
Propose another Traditonal Ok implementation based on Yaru
Diffstat (limited to 'desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh')
-rwxr-xr-xdesktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh b/desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh
new file mode 100755
index 00000000..272da5d0
--- /dev/null
+++ b/desktop-themes/TraditionalOk/gtk-4.0/parse-sass.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+if [ ! "$(which sassc 2> /dev/null)" ]; then
+ echo sassc needs to be installed to generate the css.
+ exit 1
+fi
+
+SASSC_OPT="-M -t compact"
+
+echo Generating the css...
+
+sassc $SASSC_OPT gtk.scss gtk.css